# Cofiguration

## **Information about config.yml and language.yml**

#### The heads are obtained in this page: <https://minecraft-heads.com/custom-heads>

### **CREATE NEW BOSS**

{% code lineNumbers="true" %}

```yaml
 # DON'T MODIFY THAT
 - ==: com.sarry20.topbossslayer.models.configSlays.ConfigSlayGroups
 # This is the XP needed to get a reward.
      maxPlayerXpToReward: 1000
      # This is the mob type.
      mobType: ZOMBIE
      groupImage:
        ==: org.bukkit.inventory.ItemStack
        v: 3465
        # This is the item you want to appear in the menu (type).
        type: ROTTEN_FLESH
        meta:
          ==: ItemMeta
          meta-type: UNSPECIFIC
          ItemFlags:
          - HIDE_ATTRIBUTES
      slayGroupLevels:
      - ==: com.sarry20.topbossslayer.models.configSlays.ConfigSlayGroupLevels
        configBossPerLevel:
          ==: com.sarry20.topbossslayer.models.configSlays.ConfigBossPerLevel
          pants:
            ==: org.bukkit.inventory.ItemStack
            v: 3465
            # Here you can modify the armor or armament that the boss will have.
            type: IRON_LEGGINGS
          chestPlate:
            ==: org.bukkit.inventory.ItemStack
            v: 3465
            # Here you can modify the armor or armament that the boss will have.
            type: IRON_CHESTPLATE
          helmet:
            ==: org.bukkit.inventory.ItemStack
            v: 3465
            # Here you can modify the armor or armament that the boss will have.
            type: IRON_HELMET
          boots:
            ==: org.bukkit.inventory.ItemStack
            v: 3465
            # Here you can modify the armor or armament that the boss will have.
            type: IRON_BOOTS
          tool:
            ==: org.bukkit.inventory.ItemStack
            v: 3465
            # Here you can modify the armor or armament that the boss will have.
            type: IRON_SWORD
      # This is the boss level.
        level: 1
      # These are the mobs (zombie) needed for the boss to appear.
        mobsSlainToBossAppear: 100
      # This is the experience you get from killing a boss.
        bossXpReward: 5
```

{% endcode %}

### HOW TO USE MYTHIC MOBS DEPENDENCY

{% code lineNumbers="true" %}

```yaml
 # DON'T MODIFY THAT
 - ==: com.sarry20.topbossslayer.models.configSlays.ConfigSlayGroups
 # This is the XP needed to get a reward.
      maxPlayerXpToReward: 1000
      # This is the mob type.
      mobType: ZOMBIE
      groupImage:
        ==: org.bukkit.inventory.ItemStack
        v: 3465
        # This is the item you want to appear in the menu (type).
        type: ROTTEN_FLESH
        meta:
          ==: ItemMeta
          meta-type: UNSPECIFIC
          ItemFlags:
          - HIDE_ATTRIBUTES
      slayGroupLevels:
      - ==: com.sarry20.topbossslayer.models.configSlays.ConfigSlayGroupLevels
        configBossPerLevel:
          ==: com.sarry20.topbossslayer.models.configSlays.ConfigBossPerLevel
          pants:
            ==: org.bukkit.inventory.ItemStack
            v: 3465
            # Here you can modify the armor or armament that the boss will have.
            type: IRON_LEGGINGS
          chestPlate:
            ==: org.bukkit.inventory.ItemStack
            v: 3465
            # Here you can modify the armor or armament that the boss will have.
            type: IRON_CHESTPLATE
          helmet:
            ==: org.bukkit.inventory.ItemStack
            v: 3465
            # Here you can modify the armor or armament that the boss will have.
            type: IRON_HELMET
          boots:
            ==: org.bukkit.inventory.ItemStack
            v: 3465
            # Here you can modify the armor or armament that the boss will have.
            type: IRON_BOOTS
          tool:
            ==: org.bukkit.inventory.ItemStack
            v: 3465
            # Here you can modify the armor or armament that the boss will have.
            type: IRON_SWORD
      # This is the boss level.
        level: 1
      # These are the mobs (zombie) needed for the boss to appear.
        mobsSlainToBossAppear: 100
      # This is the experience you get from killing a boss.
        bossXpReward: 5
```

{% endcode %}

###

### HOW TO CONFIG REWARDS

{% code lineNumbers="true" %}

```yaml
  maxXpRewards:
  # Type of the mob.
    ZOMBIE:
    # If you want to modify the items that the mobs 
    # will MaxXpDrop do it from in-game with this command:
    # You need to put the item on hand!
    # /topbossslayer addMaxXpRewards <MobType>
      items: []
    # These are the commands you want to execute.
    # Example:
      executeCommands: 
      - msg %player% &6You complete the Zombie reward.
  bossRewards:
  # Type of the mob.
    ZOMBIE:
    # These are the mob levels that you have configured in the config.yml.
    # You can only have a maximum of 7 levels.
    # Drops will be given each time the user completes a level and kills the boss.
      '1':
      # If you want to modify the items that the mobs 
      # will drop do it from in-game with this command:
      # You need to put the item on hand!
      # /topbossslayer addBossRewards <MobType> <Level>
        items: []
      # These are the commands you want to execute.
      # Example:
        executeCommands: 
        - msg %player% &6You complete the Zombie reward.
```

{% endcode %}

### HOW TO CONFIG LANGUAJE

{% code lineNumbers="true" %}

```yaml
    # Mob type of config.
    ZOMBIE:
      groupImage:
      # Name shown on the menu.
        name: '&eGroup Name'
      # Description of the group on the menu.
        description:
        # ONLY 4 LINES.
        - '&7Enter'
        - '&7The'
        - '&7Group Description'
        - ''
        footer: '&eClick to View!'
      missionImage:
      # Name of the mission on the menu.
        name: '&aMission Name %level%'
      # Description of the mission on the menu.
        description:
        - '&7Enter'
        - '&7The'
        - '&7Mission Description'
        - ''
        footer: '&eClick to View!'
        slayDependency: '&cSlay Name Mission %level% first'
      boss:
      # Boss name per level.
        '1': '&8Boss Name'
        '2': '&8Boss Name'
        '3': '&8Boss Name'
        '4': '&8Boss Name'
        '5': '&8Boss Name'
        '6': '&8Boss Name'
        '7': '&8Boss Name'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sarry20.com/products/bossslayer/cofiguration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
